/**
 * 
 */
package org.lapaloma.proyectos.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

/**
 * Clase de utilidad encargada de realizar conversión entre tipos.
 * 
 * @author Programador: Isidoro Nevares Martín - Virgen de la Paloma
 * @date 24 may 2025
 * @version: 1.0
 */
public class ConversorTipos {
	// Evita que pueda construirse un objeto de la clase.
	private ConversorTipos() {
	}

	public static String convertirDateAString(Date fecha) {
		String fechaString = null;
		SimpleDateFormat formato = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
		fechaString = formato.format(fecha);

		return fechaString;

	}

	public static Date convertirStringADate(String fechaString) {
		Date fecha = null;
	      // Definir el formato en que está la fecha en el String
        SimpleDateFormat formato = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");

        try {
            // Convertir el String a Date
            fecha = formato.parse(fechaString);
        } catch (ParseException e) {
            // Manejo de errores si el formato no es válido
            System.err.println("Error al convertir la fecha: " + e.getMessage());
        }
		
		return fecha;
	}
}
